#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "ler_escrever.h"
#include "grelha.h"

Programa programas[MAX_PROGRAMAS];
int n_programas;

char *dias_semana[] = {SABADO,DOMINGO,SEGUNDA,TERCA,QUARTA,QUINTA,SEXTA};

void ler_programas() {
  char buff[MAX_BUF];
  FILE *f = fopen(FICH_ENTRADA,"r");
  
  n_programas = 0;
  while (n_programas < MAX_PROGRAMAS && fgets(buff, MAX_BUF, f) != NULL) {
    programas[n_programas].codigo = atoi(strtok(buff, ";"));
    programas[n_programas].audiencia = strtok(NULL, ";")[0];
    strcpy(programas[n_programas].designacao, strtok(NULL, ";"));
    programas[n_programas].period = strtok(NULL, ";")[0];
    programas[n_programas].duracao = atoi(strtok(NULL, ";"));
    n_programas++;
  }

  fclose(f);  
}

void mostrar_grelha() {
  NoGrelha *ngptr;
  int i;

  for (i=0; i<7; i++) {
    printf("%s:\n", dias_semana[i]);
    ngptr = primeiro[i];
    while (ngptr != NULL) {
      printf("%02d:%02d %s\n", ngptr->inicio/60, ngptr->inicio%60, programas[ngptr->idx_programa].designacao);
      ngptr = ngptr->next;
    }
    printf("\n");
  }
}